#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cryptol
version:              2.11.0
visibility:           public
id:                   cryptol-2.11.0-JEK9pMqhShxB6YVm1QJfOc
key:                  cryptol-2.11.0-JEK9pMqhShxB6YVm1QJfOc
license:              BSD-3-Clause
copyright:            2013-2020 Galois Inc.
maintainer:           cryptol@galois.com
author:               Galois, Inc.
homepage:             http://www.cryptol.net/
synopsis:             Cryptol: The Language of Cryptography
description:
    Cryptol is a domain-specific language for specifying cryptographic algorithms. A Cryptol implementation of an algorithm resembles its mathematical specification more closely than an implementation in a general purpose language. For more, see <http://www.cryptol.net/>.

category:             Language
abi:                  ef7406784d7a5a17da240bbcd5f5e18e
exposed:              True
exposed-modules:
    Cryptol.AES Cryptol.Backend Cryptol.Backend.Arch
    Cryptol.Backend.Concrete Cryptol.Backend.FloatHelpers
    Cryptol.Backend.Monad Cryptol.Backend.SBV Cryptol.Backend.What4
    Cryptol.Eval Cryptol.Eval.Concrete Cryptol.Eval.Env
    Cryptol.Eval.Generic Cryptol.Eval.Prims Cryptol.Eval.Reference
    Cryptol.Eval.SBV Cryptol.Eval.Type Cryptol.Eval.Value
    Cryptol.Eval.What4 Cryptol.F2 Cryptol.IR.FreeVars
    Cryptol.ModuleSystem Cryptol.ModuleSystem.Base
    Cryptol.ModuleSystem.Env Cryptol.ModuleSystem.Exports
    Cryptol.ModuleSystem.Fingerprint
    Cryptol.ModuleSystem.InstantiateModule
    Cryptol.ModuleSystem.Interface Cryptol.ModuleSystem.Monad
    Cryptol.ModuleSystem.Name Cryptol.ModuleSystem.NamingEnv
    Cryptol.ModuleSystem.Renamer Cryptol.Parser Cryptol.Parser.AST
    Cryptol.Parser.Lexer Cryptol.Parser.Name Cryptol.Parser.Names
    Cryptol.Parser.NoInclude Cryptol.Parser.NoPat
    Cryptol.Parser.Position Cryptol.Parser.Selector
    Cryptol.Parser.Unlit Cryptol.Parser.Utils Cryptol.PrimeEC
    Cryptol.REPL.Command Cryptol.REPL.Monad Cryptol.REPL.Trie
    Cryptol.SHA Cryptol.Symbolic Cryptol.Symbolic.SBV
    Cryptol.Symbolic.What4 Cryptol.Testing.Random
    Cryptol.Transform.AddModParams Cryptol.Transform.MonoValues
    Cryptol.Transform.Specialize Cryptol.TypeCheck
    Cryptol.TypeCheck.AST Cryptol.TypeCheck.CheckModuleInstance
    Cryptol.TypeCheck.Default Cryptol.TypeCheck.Depends
    Cryptol.TypeCheck.Error Cryptol.TypeCheck.Infer
    Cryptol.TypeCheck.InferTypes Cryptol.TypeCheck.Instantiate
    Cryptol.TypeCheck.Kind Cryptol.TypeCheck.Monad Cryptol.TypeCheck.PP
    Cryptol.TypeCheck.Parseable Cryptol.TypeCheck.Sanity
    Cryptol.TypeCheck.SimpType Cryptol.TypeCheck.SimpleSolver
    Cryptol.TypeCheck.Solve Cryptol.TypeCheck.Solver.Class
    Cryptol.TypeCheck.Solver.Improve Cryptol.TypeCheck.Solver.InfNat
    Cryptol.TypeCheck.Solver.Numeric
    Cryptol.TypeCheck.Solver.Numeric.Fin
    Cryptol.TypeCheck.Solver.Numeric.Interval
    Cryptol.TypeCheck.Solver.SMT Cryptol.TypeCheck.Solver.Selector
    Cryptol.TypeCheck.Solver.Types Cryptol.TypeCheck.Solver.Utils
    Cryptol.TypeCheck.Subst Cryptol.TypeCheck.TCon
    Cryptol.TypeCheck.Type Cryptol.TypeCheck.TypeMap
    Cryptol.TypeCheck.TypeOf Cryptol.TypeCheck.TypePat
    Cryptol.TypeCheck.Unify Cryptol.Utils.Debug Cryptol.Utils.Fixity
    Cryptol.Utils.Ident Cryptol.Utils.Logger Cryptol.Utils.Misc
    Cryptol.Utils.PP Cryptol.Utils.Panic Cryptol.Utils.Patterns
    Cryptol.Utils.RecordMap Cryptol.Version

hidden-modules:
    Cryptol.Parser.LexerUtils Cryptol.Parser.ParserUtils
    Cryptol.Prelude Paths_cryptol GitRev

import-dirs:          /usr/lib/ghc-8.10.5/site-local/cryptol-2.11.0
library-dirs:         /usr/lib/ghc-8.10.5/site-local/cryptol-2.11.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/cryptol
hs-libraries:         HScryptol-2.11.0-JEK9pMqhShxB6YVm1QJfOc
depends:
    GraphSCC-1.0.4-Kc19hgNPBZz9hITg1zO3Dh
    MemoTrie-0.6.10-LkNoTM22YY7KbALvKWX6uB array-0.5.4.0
    async-2.2.3-HtWYxLW2ntnKBaQHYE7IJT base-4.14.2.0
    base-compat-0.11.2-Eyusxyk2CrTGloLdon9bIK
    bv-sized-1.0.3-8WAjCCC7prOEmFH1gpKPQm bytestring-0.10.12.0
    containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-HA3MUFqd1UUI8eb8HGKp7P deepseq-1.4.4.0
    directory-1.3.6.0 exceptions-0.10.4 filepath-1.4.2.1 ghc-prim-0.6.1
    gitrev-1.3.1-IeAYO8QUG62LW4J3MUanQA
    heredoc-0.2.0.0-1fHEYXo5Sno3wcFmeoc81p integer-gmp-1.0.3.0
    libBF-0.6.2-8ct2IjWWjc26z12fy3g5su
    monad-control-1.0.2.3-2cyZy9k7m5IA7Z3KwFJTMb
    monadLib-3.10-Dun6nxvKGiU3h2oOwCB6v6 mtl-2.2.2
    panic-0.4.0.1-CC1ZcQUH1dn9LYmscKShje
    parameterized-utils-2.1.3.0-6CO6oU9ChGlERc6oc8I9VC pretty-1.1.3.6
    process-1.6.9.0 random-1.2.0-FYrBsLYhb8t9oQNjLyUagP
    sbv-8.15-KGuzTwriSMGBHQX7kSfRkP
    simple-smt-0.9.6-5ENDKW8TBcQAlESMI3ILxF stm-2.5.0.1
    strict-0.4.0.1-5Kv9xhFUAyHBd3o9Pb1iYu text-1.2.4.1
    tf-random-0.5-8i63xBsZMdwBaoyg9kYgUF time-1.9.3
    transformers-base-0.4.5.2-DkjFlVXtJntKwzJE9VSmvg
    what4-1.2-84vDFxW2CRNFrx2IITqVKz

haddock-interfaces:   /usr/share/doc/cryptol/html/cryptol.haddock
haddock-html:         /usr/share/doc/cryptol/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

